<template>
  <div id="app">
    <MainMasterpage></MainMasterpage>
    
    <router-link to="/jobAdd">JobAdd</router-link> /
    <router-link to="/interAdd">IntershipAdd</router-link>
    <div v-if="isLoading">Loading ......</div>
    <div v-else>
      <div class="card-container">
      <div v-for="job in getItemsList" :key="job.id">
        <!-- Card Component for Each Job -->
        <div class="card">
          <div>
            <strong>Назва:</strong> {{ job.title }}
          </div>
          <div>
            <strong>Курс:</strong> {{ job.course }}
          </div>
          <div>
            <strong>Факультет:</strong> {{ job.faculty }}
          </div>
          <div>
            <strong>Деталі:</strong> {{ job.info }}
          </div>
          <button @click="deleteItem(job.id)">Delete</button>
        </div>
      </div>
      </div>
      <br>
    </div>
    <Footer/>
    <router-view />
  </div>
</template>

<script>
import MainMasterpage from '@/masterpages/MainMasterpage.vue';
import Footer from '@/masterpages/Footer.vue';
import { mapGetters, mapActions } from 'vuex'
export default {
  components: {
    MainMasterpage,
    Footer,
  },
     data() {
        return {
            jobs:{},
        }
    },
    computed: {
        ...mapGetters('jobs',['getItemsList', 'isLoading']),
    },
    created() {
        this.loadList()
    },
    methods: {
        ...mapActions('jobs',['loadList', 'addItem', 'deleteItem', 'updateItem', 'loadFilteredData']),
    },
};
</script>

<style>
.card-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  margin-left: 70px;
  margin-right: 70px;
}

.card {
  border: 2px solid #3498db;
  padding: 10px;
  border-radius: 5px;
  /* Add any other styling you need */
}
</style>

